org.apache.cassandra.triggers

## Interface ITrigger

    public interface ITrigger

Trigger interface, For every Mutation received by the coordinator `augment(ByteBuffer, ColumnFamily)` is called.

Contract:
1) Implementation of this interface should only have a constructor without parameters
2) ITrigger implementation can be instantiated multiple times during the server life time. (Depends on the number of times trigger folder is updated.)
3) ITrigger implementation should be state-less (avoid dependency on instance variables).
The API is still beta and can change.

### Method Summary

Methods
`java.util.Collection<RowMutation>` `augment(java.nio.ByteBuffer key, ColumnFamily update)` Called exactly once per CF update, returned mutations are atomically updated.

### Method Detail

#### augment

    java.util.Collection<RowMutation> augment(java.nio.ByteBuffer key,
                                            ColumnFamily update)

Called exactly once per CF update, returned mutations are atomically updated.

Parameters:
  `key` - - Row Key for the update.
  `update` - - Update received for the CF
Returns:
  modifications to be applied, null if no action to be performed.